#include "BaseSemanticHandler.h"

BaseSemanticHandler::BaseSemanticHandler(const std::string& inName)
	: Name(inName)
{
	
}


BaseSemanticHandler::~BaseSemanticHandler()
{

}


const std::string& BaseSemanticHandler::get_Name() const
{
	return Name;
}